### Function

# Secret password_lookupv_sync

#### Declaration [src]

    gchar*
    secret_password_lookupv_sync (
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Lookup a password in the secret service.

The `attributes` should be a set of key and value string pairs.

If no secret is found then `NULL` is returned.

This method may block indefinitely and should not be used in user interface threads.

This function is renamed to `secret_password_lookup_sync()` in language bindings

#### Parameters

`schema` | `SecretSchema`
| The schema for attributes.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`attributes` | `GHashTable`
| The attribute keys and values.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A new password string which should be freed with `secret_password_free()` or may be freed with `g_free()` when done.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.